### File

`packages/components/eui-chip/models/eui-chip.model.ts`

### Index

###### Properties
euiInternalId Optional iconClass Optional iconSvgName id isDisabled isOutline isRemovable isRounded label tooltip variant

### Constructor

`constructor(values: object)`
Parameters :
Name | Type | Optional
values | `object` | No

### Properties

euiInternalId
Type : `string`

Optional iconClass
Type : `string`

Optional iconSvgName
Type : `string`

id
Type : `string | number`

isDisabled
Type : `unknown`
Default value : `false`

isOutline
Type : `unknown`
Default value : `false`

isRemovable
Type : `unknown`
Default value : `false`

isRounded
Type : `unknown`
Default value : `false`

label
Type : `string`

tooltip
Type : `EuiChipTooltip`
Default value : `new EuiChipTooltip()`

variant
Type : `"primary" | "secondary" | "info" | "success" | "warning" | "danger" | "accent"`
Default value : `'primary'`

# results matching ""

# No results matching ""